#!/usr/bin/env python
# -*- coding: utf-8 -*-

'''The setup script.'''

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['Click>=6.0',
                'nelson_siegel_svensson>=0.3',
                'jupyter>=1.0',
                'pandas>=0.24',
                'matplotlib>=3.0',
                'scikit-learn>=0.20']

setup_requirements = []

test_requirements = []

setup(
    author='luphord',
    author_email='luphord@protonmail.com',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
    ],
    description='A cursory look at the dynamics of zero coupon bond yield curves.',
    entry_points={
        'console_scripts': [
            'yield_curve_dynamics=yield_curve_dynamics.cli:main',
        ],
    },
    install_requires=requirements,
    license='MIT license',
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='yield_curve_dynamics',
    name='yield_curve_dynamics',
    packages=find_packages(include=['yield_curve_dynamics']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/luphord/yield_curve_dynamics',
    version='0.1.0',
    zip_safe=False,
)
